%define lib_major	1
%define lib_name	%mklibname cooledit %lib_major
%define develname	%mklibname cooledit -d

Summary: 	Full featured multiple window programmer's text editor
Name: 		cooledit
Version: 	4.0.0
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		Editors
URL: 		ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/cooledit/
Source0:	ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/%{name}/%{name}-%{version}.tar.xz
Source1:	%{name}_48x48.xpm
Patch1:		cooledit-3.17.17-mdv-fix-str-fmt.patch
Patch2:		cooledit-4.0.0-linking.patch
Patch3:		cooledit-4.0.0-python3.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	python3

%description 
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro program.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

%package -n %develname
Group:          Development/Libraries
Summary:        Development files for cooledit
Requires:	%name = %version-%release
Provides:	%{name}-devel = %version-%release

%description -n %develname
Files for development from the cooledit package.

%prep
%setup -q
%apply_patches

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -vfi
%configure2_5x --program-prefix='' --disable-static
%make_build

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CoolEdit
Comment=Programmer's text editor with Python and shell scripting hooks
Exec=%{name}
Icon=editors_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TextEditor;
EOF

%files
%doc AUTHORS NEWS README TODO VERSION
%doc cooledit_16x16.xpm cooledit_32x32.xpm rxvt/README.rxvt
%doc COPYING
%_bindir/*
%_datadir/cooledit/
%_mandir/man1/*
%{_datadir}/applications/%{name}.desktop
%_libdir/*.so.%lib_major
%_libdir/*.so.%lib_major.*

%files -n %develname
%_libdir/*.so

%changelog
* Sun Oct 02 2022 tex - 4.0.0-2pclos2022
- rebuild against updates

* Thu Feb 27 2020 tex - 4.0.0-1pclos2020
- new version: 4.0.0
